@()

<div class="modal-header modal-panel create-contact-header">
    <div class="modal-pre-title">{{'CONTACT' | translate}}</div>
    <div class="modal-title">
        {{ctrl.contactId ? 'CONTACT_UPDATE' : 'CONTACT_CREATE' | translate}}
        <button type="button" class="close" ng-click="ctrl.dismiss()"><i class="fa fa-times"></i></button>
    </div>

    <div class="modal-actions">
        <div class="delete" ng-click="ctrl.confirmDelete()" title="{{'CONTACT_DELETE' | translate}}"
        ng-if="ctrl.contactId">
            <a class="fa-stack" href="">
                <i class="fa fa-circle fa-stack-2x background"></i>
                <i class="fa fa-trash fa-stack-1x foreground"></i>
            </a>
        </div>
        <div class="favorites" ng-click="favorite = !favorite" ng-class="{'active': favorite}"
        title="{{'CONTACT_FAVORITE' | translate}}">
            <a class="fa-stack" href="">
                <i class="fa fa-circle fa-stack-2x background"></i>
                <i class="fa fa-star fa-stack-1x foreground"></i>
            </a>
        </div>
    </div>

</div>

<div class="modal-body modal-panel create-contact-body">
    <div class="container-fluid">
        <form name="personalContactForm" class="form-group" novalidate>
            <div class="personalcontact-row-wrapper">
                <md-input-container>
                    <label class="intput-label">{{'CONTACT_LASTNAME' | translate}}</label>
                    <input ng-model="lastname" name="lastname" type="text">
                </md-input-container>
            </div>
            <uib-accordion>
                <div uib-accordion-group is-open="accordionStatus.name">
                    <uib-accordion-heading>
                        <span>
                            <i class="pull-right fa" ng-class="{ 'fa-chevron-down': !accordionStatus.name, 'fa-chevron-up': accordionStatus.name }"></i>
                        </span>
                    </uib-accordion-heading>
                    <div class="row">
                        <div class="personalcontact-row-wrapper">
                            <md-input-container>
                                <label class="intput-label">{{'CONTACT_FIRSTNAME' | translate}}</label>
                                <input ng-model="firstname" name="firstname" type="text">
                            </md-input-container>
                        </div>
                        <div class="personalcontact-row-wrapper">
                            <md-input-container>
                                <label class="intput-label">{{'CONTACT_COMPANY' | translate}}</label>
                                <input ng-model="company" name="company" type="text">
                            </md-input-container>
                        </div>
                        <div class="personalcontact-row-wrapper">
                            <md-input-container>
                                <label class="intput-label">{{'CONTACT_EMAIL' | translate}}</label>
                                <input ng-model="email" name="email" type="text">
                            </md-input-container>
                        </div>
                    </div>
                </div>
            </uib-accordion>
            <div class="personalcontact-row-wrapper">
                <md-input-container>
                    <label class="intput-label">{{'CONTACT_NUMBER' | translate}}</label>
                    <input ng-model="number" name="number" type="text">
                </md-input-container>
            </div>
            <uib-accordion>
                <div uib-accordion-group is-open="accordionStatus.number">
                    <uib-accordion-heading>
                        <span>
                            <i class="pull-right fa" ng-class="{ 'fa-chevron-down': !accordionStatus.number, 'fa-chevron-up': accordionStatus.number }"></i>
                        </span>
                    </uib-accordion-heading>
                    <div class="row">
                        <div class="personalcontact-row-wrapper">
                            <md-input-container>
                                <label class="intput-label">{{'CONTACT_MOBILE' | translate}}</label>
                                <input ng-model="mobile" name="mobile" type="text">
                            </md-input-container>
                        </div>
                        <div class="personalcontact-row-wrapper">
                            <md-input-container>
                                <label class="intput-label">{{'CONTACT_OTHER_NUMBER' | translate}}</label>
                                <input ng-model="fax" name="fax" type="text">
                            </md-input-container>
                        </div>
                    </div>
                </div>
            </uib-accordion>
        </form>
    </div>

    <div class="container-fluid modal-panel hidden-with-space"
    ng-show="ajaxRequest || ctrl.validatePersonalContact(personalContactForm)">
        <div class="alert alert-info modal-panel no-margin-top" ng-hide="ajaxRequest">
            <b>{{'CONTACT_WARNING' | translate}}</b> {{'CONTACT_ERROR_MISSING_FIELDS' | translate}}
        </div>
        <div ng-messages='ajaxRequest'>
            <div ng-message='error'>
                <div class="alert alert-danger modal-panel no-margin-top">
                    <b>{{'CONTACT_ERROR' | translate}}</b> {{'CONTACT_ERROR_GENERIC' | translate}}
                </div>
            </div>
            <div ng-message='errorDuplicateContact'>
                <div class="alert alert-danger modal-panel no-margin-top">
                    <b>{{'CONTACT_ERROR' | translate}}</b> {{'CONTACT_ERROR_DUPLICATE' | translate}}
                </div>
            </div>
            <div ng-message='errorContactNotFound'>
                <div class="alert alert-danger modal-panel no-margin-top">
                    <b>{{'CONTACT_ERROR' | translate}}</b> {{'CONTACT_ERROR_NOBODY' | translate}}
                </div>
            </div>
            <div ng-message='errorInvalidContact'>
                <div class="alert alert-danger modal-panel no-margin-top">
                    <b>{{'CONTACT_ERROR' | translate}}</b> {{'CONTACT_ERROR_INVALID' | translate}}
                </div>
            </div>
            <div ng-message='errorUnreachable'>
                <div class="alert alert-danger modal-panel no-margin-top">
                    <b>{{'CONTACT_ERROR' | translate}}</b> {{'CONTACT_ERROR_UNREACHABLE' | translate}}
                </div>
            </div>
        </div>
    </div>

    <div class="modal-footer">
        <button class="btn btn-primary pull-right" ng-click="ctrl.savePersonalContact()"
        ng-disabled="ajaxRequest.ongoing || ctrl.validatePersonalContact(personalContactForm)">
            {{'CONTACT_SAVE' | translate}} <i ng-show="ajaxRequest.ongoing"
        class="fa fa-spinner fa-pulse fa-fw">&nbsp;</i>
        </button>
    </div>
</div>